Subject: RE: MS IE/Office/Web Folder Behaviors with WebDAV

From: "Tim Ellison/OTT/OTI" <[email-masked]>
Date: Fri, 30 Jun 2000 16:03:13 -0400

>We're making progress with a fresh WebDAV implementation
>for document management using a large-scale EDMS backend.
>One of the drivers of this project is the out-of-the-box
>availability of MS Office and MS Web Folder support.  If
>someone could shed some light on some of the behaviors of
>the MS Office products in a WebDAV environment, it would
>be helpful in directing our work efforts.

I'll take a shot, but I'm no expert (just a bruised user ;-)

>1.  Using IE, when launching an MS Office product
>(Word/Excel) from a web page URL pointing to a WebDAV
>server, the File>Save menu choice is disabled.  One can,
>however, do a File>Save As... (Word and Excel are windowed
>within IE.)  Can (how does) one enable the File>Save menu
>item?  (IE 5.5, Windows 2000, Office 2000).

My understanding is that you cannot enable File>Save since the clients are 
not doing LOCKing, and therefore there is no guarantee that you have 
exclusive access to the resource.  The semantics of Save are not supported 
without LOCK, so you have to choose File>Save As... and explicitly accept 
the consequences of overwriting an existing resource (i.e., are you 
sure?...)

>2.  Using Windows Explorer (on W2K) , the directories do
>not show the Modified Date, although the date was returned
>in the XML stream.  Why not?

Beats me?  It doesn't show up on NT4.0 either.

>3. Is there a way to customize Windows Explorer to add other
>columns of properties and file attributes returned via the XML
>stream?  Is there a toolkit or documentation to build an
>alternative desktop-integrated Web Folder view similar to
>the Windows Explorer experience?

I don't know about customizing the existing window (you can't do it 
through the UI), but there is a description of the WebFolder object and 
related methods available on MS developers network 
(http://msdn.microsoft.com/library/officedev/off2000/fpobjWebFolder.htm), 
so presumably you can roll your own.

>4.  An Adobe PDF file cannot be saved to a Web Folder using
>Acrobat 4.06, although one can save to a temp directory and
>drag-drop the file into the WebDAV Web Folder.  Does writing
>from a Windows app to a WebDAV Web Folder require special
>File>Save API coding? (Or conversely, is it likely that Adobe
>is using non-standard tests/coding that reject Web Folders as
>a File>Save destination?)

The web folders are not a file system mount to a dav server, so apps do 
not get webdav 'for free'.  In your suggestions, a windows app would 
require special File>Save coding.

Tim
p.s. I'm sure more people know much more about this than I do.